<%--****************************************************************************
Copyright (c) 2000 Oracle Corporation

System      : IPET (Internet Planning and Estimating Tool)

File        : lov.jsp

Classes     : _lov.class

Notes       :

Open Issues :

$REVISION_HISTORY$
21-jun-2002   Steven Davelaar
  1.7         Added support for queryType parameter
02-jul-2002   Steven Davelaar
  1.6         prefixed MarlinCore.js and lov.jsp path with request.getContextPath
              Note that lov.jsp MUST be within application context path, otherwise
              cle-providers.xml is not found when querying the LOV! (Unless
              cle-providers is on the library-path in server.xml, but that's not
              acceptable in deployment situation!!)
29-may-2002   Peter Ebell
  1.5         Commented out code where the current value of the lov field is used
              as the default search criterium.
07-may-2002   Peter Ebell                       
  1.4         Adapted to JHeadstart 9i
07-may-2001   Peter Ebell                       
  1.3         Changed hardcoded url from /ipet/lov.jsp to /jheadstart/lov.jsp
26-apr-2001   Maurits Blok                      
  1.2         Encoded the title parameter so that all characters are passed
              correctly to the lov jsp. 
25-apr-2001   Maurits Blok                      
  1.1         displayAttr,valueAttr,title are now passed to lov.jsp.
              The url is now built based on the availability of
              parameters in the request object. 
23-mar-2001   Maurits Blok
  1.0         Initial creation.

******************************************************************************/
/*
$ADD_TO_REVISION_HISTORY
$
--%>
<%@ page import='java.net.URLEncoder'%>

<%
String url;

String column = request.getParameter("column");
url = "?column="+column;

String className = request.getParameter("class");
url += "&class="+className;

String queryType = request.getParameter("queryType");
url += "&queryType="+queryType;

String displayAttr = request.getParameter("displayAttr");
url += "&displayAttr="+displayAttr;

String text = request.getParameter("text");
if (text != null)
{
// We no longer want the value that was passed in from the html form
// to be the default search criterium. Uncomment the next line to restore
// this behaviour.

// url += "&text="+text;
}

String valueAttr = request.getParameter("valueAttr");
if (valueAttr != null)
{
url += "&valueAttr="+valueAttr;
}

String title = request.getParameter("title");
if (title != null)
{
url += "&title="+URLEncoder.encode(title);
}
String nonJheadstartContextPath = "";
if (!request.getContextPath().equals("/jheadstart"))
{
  nonJheadstartContextPath = request.getContextPath();
}
System.err.println("lov url: " + url);

%>
<html>
<HEAD>
<TITLE><%= title  %></TITLE>
</HEAD>
<script src="<%= request.getContextPath() %>/cabo/jsLibs/MarlinCore.js"></script>
  <FRAMESET ROWS="100%,*" BORDER="0" onunload="_checkUnload(event)">
    <FRAME SRC="<%= nonJheadstartContextPath %>/jheadstart/lov.jsp<%= url %>" NAME="lov">
  </FRAMESET>
</html>

